Index: core/conf.c
===================================================================
--- core/conf.c	(Revision 727)
+++ core/conf.c	(Arbeitskopie)
@@ -52,8 +52,8 @@
 
 // reyalp: putting these in conf, since the conf values are lookups for them
 // prefixes and extentions available for raw images (index with conf.raw_prefix etc)
-const char* img_prefixes[NUM_IMG_PREFIXES]={ "IMG_", "CRW_", "SND_" /*, "AUT_", "ETC_","SDR_", "MVI_", "MRK_"*/};
-const char* img_exts[NUM_IMG_EXTS]={ ".JPG", ".CRW", ".CR2", ".THM", ".WAV"/*, ".AVI", ".MRK"*/};
+const char* img_prefixes[NUM_IMG_PREFIXES]={ "IMG_", "CRW_", "SND_", "crw_" , "AUT_", "ETC_","SDR_", "MVI_", "MRK_"};
+const char* img_exts[NUM_IMG_EXTS]={ ".JPG", ".CRW", ".CR2", ".THM", ".WAV", ".AVI", ".MRK", ".DNG" };
 // ugh
 const char *video_bitrate_strings[VIDEO_BITRATE_STEPS]={ "0.25x", "0.5x","0.75x", "1x", "1.25x", "1.5x", "1.75x", "2x", "2.5x", "3x"};
 
@@ -508,7 +508,7 @@
 
 //-------------------------------------------------------------------
 void conf_load_defaults() {
-    register int i;
+    register unsigned int i;
 
     for (i=0; i<CONF_NUM; ++i) {
         switch (conf_info[i].type) {
@@ -528,7 +528,7 @@
 //-------------------------------------------------------------------
 void conf_save() {
     static const long t=CONF_MAGICK_VALUE;
-    register int i;
+    register unsigned int i;
     int fd;
     char *buf=umalloc(sizeof(t)+CONF_NUM*(sizeof(conf_info[0].id)+sizeof(conf_info[0].size))+sizeof(conf));
     char *p=buf;
@@ -554,7 +554,8 @@
 
 //-------------------------------------------------------------------
 void conf_restore() {
-    int fd, rcnt, i;
+    unsigned rcnt, i;
+    int fd;
     unsigned short id, size;
     char *buf;
     int offs;
@@ -597,7 +598,7 @@
 
         for (i=0; i<CONF_NUM; ++i) {
             if (conf_info[i].id==id && conf_info[i].size==size) {
-                if (offs + size <= rcnt) {
+                if ((unsigned)(offs + size) <= rcnt) {
                    memcpy(conf_info[i].var, buf+offs, size);
                    if (conf_info[i].func) {
                        conf_info[i].func();
Index: core/gui_lang.h
===================================================================
--- core/gui_lang.h	(Revision 727)
+++ core/gui_lang.h	(Arbeitskopie)
@@ -563,9 +563,11 @@
 #define LANG_MENU_RESET_FILES         451
 #define LANG_MENU_RESTART_CAMERA         452
 #define LANG_MENU_FLASH_MANUAL_OVERRIDE        453
+#define LANG_XXX_PROPCOMPARE		454
+#define LANG_XXX_PARAMCOMPARE		455
 //-------------------------------------------------------------------
 
-#define GUI_LANG_ITEMS                  453
+#define GUI_LANG_ITEMS                  455
 
 //-------------------------------------------------------------------
 extern void gui_lang_init();
Index: core/gui_space.c
===================================================================
--- core/gui_space.c	(Revision 727)
+++ core/gui_space.c	(Arbeitskopie)
@@ -18,7 +18,7 @@
 }
 
 static void gui_space_draw_spacebar_horizontal () {
-    coord x;
+    int x;
     color cl = conf.space_color;
     int perc = get_space_perc(),height = 2;
     float size = 0;
@@ -26,7 +26,7 @@
     cl = (perc<=conf.space_perc_warn)?conf.osd_color_warn:(conf.space_color);
     }
     if (conf.space_warn_type == 1){
-    cl = (GetFreeCardSpaceKb()/1024<=conf.space_mb_warn)?conf.osd_color_warn:(conf.space_color);
+    cl = (GetFreeCardSpaceKb()/1024<=(unsigned)conf.space_mb_warn)?conf.osd_color_warn:(conf.space_color);
     }
     if (conf.space_warn_type == 2){
     cl = conf.space_color;
@@ -71,7 +71,7 @@
 
 
 static void gui_space_draw_spacebar_vertical () {
-    coord y;
+    int y;
     color cl = conf.space_color;
     int perc = get_space_perc(), width = 2;
     float size = 0;
@@ -79,7 +79,7 @@
     cl = (perc<=conf.space_perc_warn)?conf.osd_color_warn:(conf.space_color);
     }
     if (conf.space_warn_type == 1){
-    cl = (GetFreeCardSpaceKb()/1024<=conf.space_mb_warn)?conf.osd_color_warn:(conf.space_color);
+    cl = (GetFreeCardSpaceKb()/1024<=(unsigned)conf.space_mb_warn)?conf.osd_color_warn:(conf.space_color);
     }
     if (conf.space_warn_type == 2){
     cl = conf.space_color;
@@ -126,14 +126,14 @@
 }
 
 static void gui_space_draw_icon () {
-    coord x;
+    int x;
     color cl = conf.space_color;
     int perc = get_space_perc();
     if (conf.space_warn_type == 0){
     cl = (perc<=conf.space_perc_warn)?conf.osd_color_warn:(conf.space_color);
     }
     if (conf.space_warn_type == 1){
-    cl = (GetFreeCardSpaceKb()/1024<=conf.space_mb_warn)?conf.osd_color_warn:(conf.space_color);
+    cl = (GetFreeCardSpaceKb()/1024<=(unsigned)conf.space_mb_warn)?conf.osd_color_warn:(conf.space_color);
     }
     if (conf.space_warn_type == 2){
     cl = conf.space_color;
@@ -182,7 +182,7 @@
     cl = (perc<=conf.space_perc_warn)?conf.osd_color_warn:(conf.space_color);
     }
     if (conf.space_warn_type == 1){
-    cl = (GetFreeCardSpaceKb()/1024<=conf.space_mb_warn)?conf.osd_color_warn:(conf.space_color);
+    cl = (GetFreeCardSpaceKb()/1024<=(unsigned)conf.space_mb_warn)?conf.osd_color_warn:(conf.space_color);
     }
     if (conf.space_warn_type == 2){
     cl = conf.space_color;
Index: core/edgeoverlay.c
===================================================================
--- core/edgeoverlay.c	(Revision 727)
+++ core/edgeoverlay.c	(Arbeitskopie)
@@ -178,7 +178,7 @@
 
 	static int shotTaken = 0;
 	static int imgmem = 0;
-	static int ymin = 0;
+	static unsigned int ymin = 0;
 	static int thresh;
 	thresh = conf.edge_overlay_thresh; //40
 	static int xoffset = 0;
@@ -187,7 +187,8 @@
 	static char strbuf[7] = "Frozen";
 	static unsigned char *img;
 	int i, hi, c;
-	int x, y, h, v, ymax, y1, x1, y2;
+	unsigned ymax, x, y, y1, x1;
+	int h, v, y2;
 	const char * ptrh1;
 	const char * ptrh2;
 	const char * ptrv1;
Index: core/gui_read.c
===================================================================
--- core/gui_read.c	(Revision 727)
+++ core/gui_read.c	(Arbeitskopie)
@@ -19,7 +19,7 @@
 #define READ_BUFFER_SIZE  100
 static char buffer[READ_BUFFER_SIZE+1];
 static long last_time;
-static int xx, yy;
+static unsigned int xx, yy;
 static int pause;
 
 //-------------------------------------------------------------------
@@ -83,7 +83,7 @@
 
 //-------------------------------------------------------------------
 static int read_fit_next_char(int ch) {
-    return (xx+rbf_char_width(ch) < x+w);
+    return ((unsigned)(xx+rbf_char_width(ch)) < x+w);
 }
 
 //-------------------------------------------------------------------
@@ -142,7 +142,7 @@
                                         ll+=rbf_char_width(buffer[ii]);
                                     }
                                 }
-                                if (xx+ll>=x+w && ll<w) {
+                                if (xx+ll>=x+w && (unsigned)ll<w) {
                                     read_goto_next_line();
                                     continue;
                                 }
